%define upstream_name    Dist-Zilla-Plugin-LocaleMsgfmt
%define upstream_version 1.202

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dist::Zilla plugin that compiles Local::Msgfmt .po files to .mo files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Locale::Msgfmt)
BuildRequires: perl(Moose)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
Put the following in your dist.ini

    [LocaleMsgfmt]
    locale = share/locale ;; (optional)

This plugin will compile all of the .po files it finds in the locale
directory into .mo files, via Locale::Msgfmt.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml LICENSE META.json README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Apr 23 2011 Funda Wang <fwang@mandriva.org> 1.202.0-2mdv2011.0
+ Revision: 657428
- rebuild for updated spec-helper

* Wed Nov 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.202.0-1
+ Revision: 595609
- update to new version 1.202

* Fri Apr 09 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.970-1mdv2011.0
+ Revision: 533456
- import perl-Dist-Zilla-Plugin-LocaleMsgfmt


* Fri Apr 09 2010 cpan2dist 1.100970-1mdv
- initial mdv release, generated with cpan2dist
